cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OBR

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OBR

- All Implemented Interfaces:
    ISegment

      public class OBR
      extends Segment

  OBR - Observation Request Segment.

  The Observation Request (OBR) segment is used to transmit information specific to an order for a diagnostic study or observation, physical exam, or assessment.

  Represents an HL7 OBR message segment. This segment has the following fields:

  OBR-1: Set ID - OBR (SI)Optional
  OBR-2: Placer Order Number (EI)Conditional
  OBR-3: Filler Order Number (EI)Conditional
  OBR-4: Universal Service Identifier (CWE)Required
  OBR-5: Priority _ OBR (ID)Withdrawn
  OBR-6: Requested Date/Time (DTM)Withdrawn
  OBR-7: Observation Date/Time (DTM)Conditional
  OBR-8: Observation End Date/Time (DTM)Optional
  OBR-9: Collection Volume (CQ)Optional
  OBR-10: Collector Identifier (XCN)Backward Compatibility
  OBR-11: Specimen Action Code (ID)Optional
  OBR-12: Danger Code (CWE)Optional
  OBR-13: Relevant Clinical Information (CWE)Optional
  OBR-14: Specimen Received Date/Time (DTM)Withdrawn
  OBR-15: Specimen Source (SPS)Withdrawn
  OBR-16: Ordering Provider (XCN)Backward Compatibility
  OBR-17: Order Callback Phone Number (XTN)Optional
  OBR-18: Placer Field 1 (ST)Optional
  OBR-19: Placer Field 2 (ST)Optional
  OBR-20: Filler Field 1 (ST)Optional
  OBR-21: Filler Field 2 (ST)Optional
  OBR-22: Results Rpt/Status Chng - Date/Time (DTM)Conditional
  OBR-23: Charge to Practice (MOC)Optional
  OBR-24: Diagnostic Serv Sect ID (ID)Optional
  OBR-25: Result Status (ID)Conditional
  OBR-26: Parent Result (PRL)Optional
  OBR-27: Quantity/Timing (TQ)Withdrawn
  OBR-28: Result Copies To (XCN)Backward Compatibility
  OBR-29: Parent Number (EIP)Optional
  OBR-30: Transportation Mode (ID)Optional
  OBR-31: Reason for Study (CWE)Optional
  OBR-32: Principal Result Interpreter (NDL)Backward Compatibility
  OBR-33: Assistant Result Interpreter (NDL)Backward Compatibility
  OBR-34: Technician (NDL)Backward Compatibility
  OBR-35: Transcriptionist (NDL)Backward Compatibility
  OBR-36: Scheduled Date/Time (DTM)Optional
  OBR-37: Number of Sample Containers * (NM)Optional
  OBR-38: Transport Logistics of Collected Sample (CWE)Optional
  OBR-39: Collector's Comment * (CWE)Optional
  OBR-40: Transport Arrangement Responsibility (CWE)Optional
  OBR-41: Transport Arranged (ID)Optional
  OBR-42: Escort Required (ID)Optional
  OBR-43: Planned Patient Transport Comment (CWE)Optional
  OBR-44: Procedure Code (CNE)Optional
  OBR-45: Procedure Code Modifier (CNE)Optional
  OBR-46: Placer Supplemental Service Information (CWE)Optional
  OBR-47: Filler Supplemental Service Information (CWE)Optional
  OBR-48: Medically Necessary Duplicate Procedure Reason (CWE)Conditional
  OBR-49: Result Handling (CWE)Optional
  ORR-50: Parent Universal Service Identifier (CWE)Backward Compatibility
  OBR-51: Observation Group ID (EI)Optional
  OBR-52: Parent Observation Group ID (EI)Optional
  OBR-53: Alternate Placer Order Number (CX)Optional
  OBR-54: Parent Order (EIP)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OBR()` Constructs the OBR segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlternatePlacerOrderNumber(CX objalternatePlacerOrderNumber)` Add the Alternate Placer Order Number.
    `void` | `addAlternatePlacerOrderNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment)` Add the Alternate Placer Order Number.
    `void` | `addAssistantResultInterpreter(CNN objName, DTM objStartDateTime, DTM objEndDateTime, java.lang.String strPointOfCare, java.lang.String strRoom, java.lang.String strBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPatientLocationType, java.lang.String strBuilding, java.lang.String strFloor)` Add the Assistant Result Interpreter.
    `void` | `addAssistantResultInterpreter(NDL objassistantResultInterpreter)` Add the Assistant Result Interpreter.
    `void` | `addCollectorComment(CWE objcollectorComment)` Add the Collector Comment.
    `void` | `addCollectorComment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Collector Comment.
    `void` | `addCollectorIdentifier(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Collector Identifier.
    `void` | `addCollectorIdentifier(XCN objcollectorIdentifier)` Add the Collector Identifier.
    `void` | `addFillerSupplementalServiceInformation(CWE objfillerSupplementalServiceInformation)` Add the Filler Supplemental Service Information.
    `void` | `addFillerSupplementalServiceInformation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Filler Supplemental Service Information.
    `void` | `addOrderCallbackPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Order Callback Phone Number.
    `void` | `addOrderCallbackPhoneNumber(XTN orderCallbackPhoneNumber)` Add the Order Callback Phone Number.
    `void` | `addOrderingProvider(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Ordering Provider.
    `void` | `addOrderingProvider(XCN objorderingProvider)` Add the Ordering Provider.
    `void` | `addPlacerSupplementalServiceInformation(CWE objplacerOrderNumber)` Add the Placer Supplemental Service Information.
    `void` | `addPlacerSupplementalServiceInformation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Placer Supplemental Service Information.
    `void` | `addPlannedPatientTransportComment(CWE objplannedPatientTransportComment)` Add the Planned Patient Transport Comment.
    `void` | `addPlannedPatientTransportComment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Planned Patient Transport Comment.
    `void` | `addProcedureCodeModifier(CNE objprocedureCodeModifier)` Add the Procedure Code Modifier.
    `void` | `addProcedureCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Procedure Code Modifier.
    `void` | `addReasonforStudy(CWE objreasonforStudy)` Add the Reason for Study.
    `void` | `addReasonforStudy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Reason for Study.
    `void` | `addRelevantClinicalInformation(CWE objrelevantClinicalInformation)` Add the Relevant Clinical Information.
    `void` | `addRelevantClinicalInformation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Relevant Clinical Information.
    `void` | `addResultCopiesTo(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Result Copies To.
    `void` | `addResultCopiesTo(XCN objresultCopiesTo)` Add the Result Copies To.
    `void` | `addTechnician(CNN objName, DTM objStartDateTime, DTM objEndDateTime, java.lang.String strPointOfCare, java.lang.String strRoom, java.lang.String strBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPatientLocationType, java.lang.String strBuilding, java.lang.String strFloor)` Add the Technician.
    `void` | `addTechnician(NDL objtechnician)` Add the Technician.
    `void` | `addTranscriptionist(CNN objName, DTM objStartDateTime, DTM objEndDateTime, java.lang.String strPointOfCare, java.lang.String strRoom, java.lang.String strBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPatientLocationType, java.lang.String strBuilding, java.lang.String strFloor)` Add the Transcriptionist.
    `void` | `addTranscriptionist(NDL objtranscriptionist)` Add the Transcriptionist.
    `void` | `addTransportLogisticsofCollectedSample(CWE objtransportLogisticsofCollectedSample)` Add the Transport Logistics of Collected Sample.
    `void` | `addTransportLogisticsofCollectedSample(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Transport Logistics of Collected Sample.
    `ISingleCollection<CX>` | `getAlternatePlacerOrderNumber()` Retrieves the Alternate Placer Order Number.
    `ISingleCollection<NDL>` | `getAssistantResultInterpreter()` Retrieves the Assistant Result Interpreter.
    `MOC` | `getChargetoPractice()` Retrieves the Charge to Practice.
    `CQ` | `getCollectionVolume()` Retrieves the Collection Volume.
    `ISingleCollection<CWE>` | `getCollectorComment()` Retrieves the Collector Comment.
    `ISingleCollection<XCN>` | `getCollectorIdentifier()` Retrieves the Collector Identifier.
    `CWE` | `getDangerCode()` Retrieves the Danger Code.
    `ID` | `getDiagnosticServSectID()` Retrieves the Diagnostic Serv Sect ID.
    `ID` | `getEscortRequired()` Retrieves the Escort Required.
    `ST` | `getFillerField1()` Retrieves the Filler Field1.
    `ST` | `getFillerField2()` Retrieves the Filler Field2.
    `EI` | `getFillerOrderNumber()` Retrieves the Filler Order Number.
    `ISingleCollection<CWE>` | `getFillerSupplementalServiceInformation()` Retrieves the Filler Supplemental Service Information.
    `CWE` | `getMedicallyNecessaryDuplicateProcedureReason()` Retrieves the Medically Necessary Duplicate Procedure Reason.
    `NM` | `getNumberofSampleContainers()` Retrieves the Number of Sample Containers.
    `DTM` | `getObservationDateTime()` Retrieves the Observation Date Time.
    `DTM` | `getObservationEndDateTime()` Retrieves the Observation End Date Time.
    `EI` | `getObservationGroupID()` Retrieves the Observation Group ID.
    `ISingleCollection<XTN>` | `getOrderCallbackPhoneNumber()` Retrieves the Order Callback Phone Number.
    `ISingleCollection<XCN>` | `getOrderingProvider()` Retrieves the Ordering Provider.
    `EIP` | `getParent()` Retrieves the Parent.
    `EI` | `getParentObservationGroupID()` Retrieves the Parent Observation Group ID.
    `EIP` | `getParentOrder()` Retrieves the Parent Order.
    `PRL` | `getParentResult()` Retrieves the Parent Result.
    `CWE` | `getParentUniversalServiceIdentifier()` Retrieves the Parent UniversalService Identifier.
    `ST` | `getPlacerField1()` Retrieves the Placer Field1.
    `ST` | `getPlacerField2()` Retrieves the Placer Field2.
    `EI` | `getPlacerOrderNumber()` Retrieves the Placer Order Number.
    `ISingleCollection<CWE>` | `getPlacerSupplementalServiceInformation()` Retrieves the Placer Supplemental Service Information.
    `ISingleCollection<CWE>` | `getPlannedPatientTransportComment()` Retrieves the Planned Patient Transport Comment.
    `NDL` | `getPrincipalResultInterpreter()` Retrieves the Principal Result Interpreter.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `ISingleCollection<CNE>` | `getProcedureCodeModifier()` Retrieves the Procedure Code Modifier.
    `ISingleCollection<CWE>` | `getReasonforStudy()` Retrieves the Reason for Study.
    `ISingleCollection<CWE>` | `getRelevantClinicalInformation()` Retrieves the Relevant Clinical Information.
    `ISingleCollection<XCN>` | `getResultCopiesTo()` Retrieves the Result Copies To.
    `CWE` | `getResultHandling()` Retrieves the Result Handling.
    `DTM` | `getResultsRptStatusChng_DateTime()` Retrieves the Results Rpt Status Chng Date Time.
    `ID` | `getResultStatus()` Retrieves the Result Status.
    `DTM` | `getScheduledDateTime()` Retrieves the Scheduled Date Time.
    `SI` | `getSetID_OBR()` Retrieves the Set ID OBR.
    `ID` | `getSpecimenActionCode()` Retrieves the Specimen Action Code.
    `ISingleCollection<NDL>` | `getTechnician()` Retrieves the Technician.
    `ISingleCollection<NDL>` | `getTranscriptionist()` Retrieves the Transcriptionist.
    `ID` | `getTransportArranged()` Retrieves the Transport Arranged.
    `CWE` | `getTransportArrangementResponsibility()` Retrieves the Transport Arrangement Responsibility.
    `ID` | `getTransportationMode()` Retrieves the Transportation Mode.
    `ISingleCollection<CWE>` | `getTransportLogisticsofCollectedSample()` Retrieves the Transport Logistics of Collected Sample.
    `CWE` | `getUniversalServiceIdentifier()` Retrieves the Universal Service Identifier.
    `void` | `setAlternatePlacerOrderNumber(ISingleCollection<CX> objalternatePlacerOrderNumberList)` Set the Alternate Placer Order Number list.
    `void` | `setAssistantResultInterpreter(ISingleCollection<NDL> objassistantResultInterpreterList)` Set the Assistant Result Interpreter.
    `void` | `setChargetoPractice(MOC objchargetoPractice)` Set the Charge to Practice.
    `void` | `setChargetoPractice(MO objMonetaryAmount, CWE objChargeCode)` Set the Charge to Practice.
    `void` | `setCollectionVolume(CQ collectionVolume)` Set the Collection Volume.
    `void` | `setCollectionVolume(java.lang.String strQuantity, CWE objUnits)` Set the Collection Volume.
    `void` | `setCollectorComment(ISingleCollection<CWE> objcollectorCommentList)` Set the Collector Comment.
    `void` | `setCollectorIdentifier(ISingleCollection<XCN> objcollectorIdentifierList)` Set the Collector Identifier.
    `void` | `setDangerCode(CWE objdangerCode)` Set the Danger Code.
    `void` | `setDangerCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Danger Code.
    `void` | `setDiagnosticServSectID(ID objdiagnosticServSectID)` Set the Diagnostic Serv Sect ID.
    `void` | `setDiagnosticServSectID(java.lang.String strDiagnosticServSectID)` Set the Diagnostic Serv Sect ID.
    `void` | `setEscortRequired(ID escortRequired)` Set the Escort Required.
    `void` | `setEscortRequired(java.lang.String strEscortRequired)` Set the Escort Required.
    `void` | `setFillerField1(ST objfillerField1)` Set the Filler Field1.
    `void` | `setFillerField1(java.lang.String strFillerField1)` Set the Filler Field1.
    `void` | `setFillerField2(ST objfillerField2)` Set the Filler Field2.
    `void` | `setFillerField2(java.lang.String strFillerField2)` Set the Filler Field2.
    `void` | `setFillerOrderNumber(EI objfillerOrderNumber)` Set the Filler Order Number.
    `void` | `setFillerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Filler Order Number.
    `void` | `setFillerSupplementalServiceInformation(ISingleCollection<CWE> objfillerSupplementalServiceInformationList)` Set the Filler Supplemental Service Information.
    `void` | `setMedicallyNecessaryDuplicateProcedureReason(CWE medicallyNecessaryDuplicateProcedureReason)` Set the Medically Necessary Duplicate Procedure Reason.
    `void` | `setMedicallyNecessaryDuplicateProcedureReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Medically Necessary Duplicate Procedure Reason.
    `void` | `setNumberofSampleContainers(NM numberofSampleContainers)` Set the Number of Sample Containers.
    `void` | `setNumberofSampleContainers(java.lang.String strNumberofSampleContainers)` Set the Number of Sample Containers.
    `void` | `setObservationDateTime(DTM observationDateTime)` Set the Observation Date Time.
    `void` | `setObservationDateTime(java.lang.String strTime)` Set the Observation Date Time.
    `void` | `setObservationEndDateTime(DTM objobservationEndDateTime)` Set the Observation End Date Time.
    `void` | `setObservationEndDateTime(java.lang.String strTime)` Set the Observation End Date Time.
    `void` | `setObservationGroupID(EI objobservationGroupID)` Set the Observation Group ID.
    `void` | `setObservationGroupID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Observation Group ID.
    `void` | `setOrderCallbackPhoneNumber(ISingleCollection<XTN> orderCallbackPhoneNumberList)` Set the Order Callback Phone Number.
    `void` | `setOrderingProvider(ISingleCollection<XCN> objorderingProviderList)` Set the Ordering Provider.
    `void` | `setParent(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Set the Parent.
    `void` | `setParent(EIP parent)` Set the Parent.
    `void` | `setParentObservationGroupID(EI objparentObservationGroupID)` Set the Parent Observation Group ID.
    `void` | `setParentObservationGroupID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Observation Group ID.
    `void` | `setParentOrder(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Set the Parent Order.
    `void` | `setParentOrder(EIP parentOrder)` Set the Parent Order.
    `void` | `setParentResult(CWE objParentObservationIdentifier, OG objParentObservationSubidentifier, TX objParentObservationValueDescriptor)` Set the Parent Result.
    `void` | `setParentResult(PRL objparentResult)` Set the Parent Result.
    `void` | `setParentUniversalServiceIdentifier(CWE objparentUniversalServiceIdentifier)` Set the Parent Universal Service Identifier.
    `void` | `setParentUniversalServiceIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Parent Universal Service Identifier.
    `void` | `setPlacerField1(ST objplacerField1)` Set the Placer Field1.
    `void` | `setPlacerField1(java.lang.String strPlacerField1)` Set the Placer Field1.
    `void` | `setPlacerField2(ST objplacerField2)` Set the Placer Field2.
    `void` | `setPlacerField2(java.lang.String strPlacerField2)` Set the Placer Field2.
    `void` | `setPlacerOrderNumber(EI objplacerOrderNumber)` Set the Placer Order Number.
    `void` | `setPlacerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Placer Order Number.
    `void` | `setPlacerSupplementalServiceInformation(ISingleCollection<CWE> objplacerOrderNumberList)` set the Placer Supplemental Service Information.
    `void` | `setPlannedPatientTransportComment(ISingleCollection<CWE> objplannedPatientTransportCommentList)` Set the Planned Patient Transport Comment.
    `void` | `setPrincipalResultInterpreter(CNN objName, DTM objStartDateTime, DTM objEndDateTime, java.lang.String strPointOfCare, java.lang.String strRoom, java.lang.String strBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPatientLocationType, java.lang.String strBuilding, java.lang.String strFloor)` Set the Principal Result Interpreter.
    `void` | `setPrincipalResultInterpreter(NDL objprincipalResultInterpreter)` Set the Principal Result Interpreter.
    `void` | `setProcedureCode(CNE objprocedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setProcedureCodeModifier(ISingleCollection<CNE> objprocedureCodeModifierList)` Set the Procedure Code Modifier.
    `void` | `setReasonforStudy(ISingleCollection<CWE> objreasonforStudyList)` set the Reason for Study.
    `void` | `setRelevantClinicalInformation(ISingleCollection<CWE> objrelevantClinicalInformationList)` set the Relevant Clinical Information.
    `void` | `setResultCopiesTo(ISingleCollection<XCN> objresultCopiesToList)` Set the Result Copies To.
    `void` | `setResultHandling(CWE objresultHandling)` Set the Result Handling.
    `void` | `setResultHandling(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Result Handling.
    `void` | `setResultsRptStatusChng_DateTime(DTM objresultsRptStatusChng_DateTime)` Set the Results Rpt Status Chng Date Time.
    `void` | `setResultsRptStatusChng_DateTime(java.lang.String strTime)` Set the Results Rpt Status Chng Date Time.
    `void` | `setResultStatus(ID objresultStatus)` Set the Result Status.
    `void` | `setResultStatus(java.lang.String strResultStatus)` Set the Result Status.
    `void` | `setScheduledDateTime(DTM objscheduledDateTime)` Set the Scheduled Date Time.
    `void` | `setScheduledDateTime(java.lang.String strTime)` Set the Scheduled Date Time.
    `void` | `setSetID_OBR(SI objsetID_OBR)` Set the Set ID OBR.
    `void` | `setSetID_OBR(java.lang.String strSetID_OBR)` Set the Set ID OBR.
    `void` | `setSpecimenActionCode(ID objspecimenActionCode)` Set the Specimen Action Code.
    `void` | `setSpecimenActionCode(java.lang.String strSpecimenActionCode)` Set the Specimen Action Code.
    `void` | `setTechnician(ISingleCollection<NDL> objtechnicianList)` set the Technician.
    `void` | `setTranscriptionist(ISingleCollection<NDL> objtranscriptionistList)` Set the Transcriptionist.
    `void` | `setTransportArranged(ID objtransportArranged)` Set the Transport Arranged.
    `void` | `setTransportArranged(java.lang.String strTransportArranged)` Set the Transport Arranged.
    `void` | `setTransportArrangementResponsibility(CWE objtransportArrangementResponsibility)` Set the Transport Arrangement Responsibility.
    `void` | `setTransportArrangementResponsibility(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transport Arrangement Responsibility.
    `void` | `setTransportationMode(ID objtransportationMode)` Set the Transportation Mode.
    `void` | `setTransportationMode(java.lang.String strTransportationMode)` Set the Transportation Mode.
    `void` | `setTransportLogisticsofCollectedSample(ISingleCollection<CWE> objtransportLogisticsofCollectedSampleList)` Set the Transport Logistics of Collected Sample.
    `void` | `setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)` Set the Universal Service Identifier.
    `void` | `setUniversalServiceIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Universal Service Identifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OBR

          public OBR()

      Constructs the OBR segment.

  - ### Method Detail

    - #### getFillerOrderNumber

          public EI getFillerOrderNumber()

      Retrieves the Filler Order Number. This field specify the order number associated with the filling application.
      Returns:
        EI - FillerOrderNumber in object form.

    - #### getPlacerOrderNumber

          public EI getPlacerOrderNumber()

      Retrieves the Placer Order Number. This field specify a special case of the Entity Identifier data type.
      Returns:
        EI - PlacerOrderNumber in object form.

    - #### getAssistantResultInterpreter

          public ISingleCollection<NDL> getAssistantResultInterpreter()

      Retrieves the Assistant Result Interpreter. This field identify the clinical observer who assisted with the interpretation of this study.
      Returns:
        ISingleCollection - assistantResultInterpreter

    - #### getChargetoPractice

          public MOC getChargetoPractice()

      Retrieves the Charge to Practice. This field charge to the ordering entity for the studies performed when applicable.
      Returns:
        MOC - chargetoPractice

    - #### getCollectionVolume

          public CQ getCollectionVolume()

      Retrieves the Collection Volume.
      Returns:
        CQ - collectionVolume

    - #### getCollectorComment

          public ISingleCollection<CWE> getCollectorComment()

      Retrieves the Collector Comment. This field is for reporting additional comments related to the sample.
      Returns:
        ISingleCollection - collectorComment

    - #### getCollectorIdentifier

          public ISingleCollection<XCN> getCollectorIdentifier()

      Retrieves the Collector Identifier. This field identify the person, department, or facility that collected the specimen.
      Returns:
        ISingleCollection - collectorIdentifier

    - #### getDangerCode

          public CWE getDangerCode()

      Retrieves the Danger Code. This field contains the code and/or text indicating any known or suspected patient.
      Returns:
        CE - dangerCode

    - #### getDiagnosticServSectID

          public ID getDiagnosticServSectID()

      Retrieves the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation is performed.
      Returns:
        ID - diagnosticServSectID

    - #### getEscortRequired

          public ID getEscortRequired()

      Retrieves the Escort Required. This field is an indicator that the patient needs to be escorted to the diagnostic service department.
      Returns:
        ID - escortRequired

    - #### getFillerField1

          public ST getFillerField1()

      Retrieves the Filler Field1.
      Returns:
        ST - fillerField1

    - #### getFillerField2

          public ST getFillerField2()

      Retrieves the Filler Field2.
      Returns:
        ST - fillerField2

    - #### getFillerSupplementalServiceInformation

          public ISingleCollection<CWE> getFillerSupplementalServiceInformation()

      Retrieves the Filler Supplemental Service Information. This field contains supplemental service information sent from the filler system to the placer system for the procedure code reported in OBR-4 Universal Service ID.
      Returns:
        ISingleCollection - fillerSupplementalServiceInformation

    - #### getMedicallyNecessaryDuplicateProcedureReason

          public CWE getMedicallyNecessaryDuplicateProcedureReason()

      Retrieves the Medically Necessary Duplicate Procedure Reason. This field intended to provide financial systems information on who to bill for duplicate procedures.
      Returns:
        CWE - medicallyNecessaryDuplicateProcedureReason

    - #### getNumberofSampleContainers

          public NM getNumberofSampleContainers()

      Retrieves the Number of Sample Containers. This field identify the number of containers for a given sample.
      Returns:
        NM - numberofSampleContainers

    - #### getObservationDateTime

          public DTM getObservationDateTime()

      Retrieves the Observation Date Time. This field is the clinically relevant date/time of the observation.
      Returns:
        DTM - observationDateTime

    - #### getObservationEndDateTime

          public DTM getObservationEndDateTime()

      Retrieves the Observation End Date Time. This field contains the end date and time of a study or timed specimen collection.
      Returns:
        DTM - observationEndDateTime

    - #### getOrderCallbackPhoneNumber

          public ISingleCollection<XTN> getOrderCallbackPhoneNumber()

      Retrieves the Order Callback Phone Number. This field contains the telephone number for reporting a status or a result using the standard format with extension and/or beeper number when applicable.
      Returns:
        ISingleCollection - orderCallbackPhoneNumber

    - #### getOrderingProvider

          public ISingleCollection<XCN> getOrderingProvider()

      Retrieves the Ordering Provider. This field identify the provider who ordered the test.
      Returns:
        ISingleCollection - orderingProvider

    - #### getParent

          public EIP getParent()

      Retrieves the Parent. This field identical to ORC-8-parent. This field relates a child to its parent when a parent child relationship exists.
      Returns:
        EIP - parent

    - #### getParentResult

          public PRL getParentResult()

      Retrieves the Parent Result. This field is defined to make it available for other types of linkages (e.g., toxicology).
      Returns:
        PRL - parentResult

    - #### getPlacerField1

          public ST getPlacerField1()

      Retrieves the Placer Field1.
      Returns:
        ST - placerField1

    - #### getPlacerField2

          public ST getPlacerField2()

      Retrieves the Placer Field2.
      Returns:
        ST - placerField2

    - #### getPlacerSupplementalServiceInformation

          public ISingleCollection<CWE> getPlacerSupplementalServiceInformation()

      Retrieves the Placer Supplemental Service Information. This field contains supplemental service information sent from the placer system to the filler system for the universal procedure code reported in OBR-4 Universal Service ID.
      Returns:
        ISingleCollection - placerSupplementalServiceInformation

    - #### getPlannedPatientTransportComment

          public ISingleCollection<CWE> getPlannedPatientTransportComment()

      Retrieves the Planned Patient Transport Comment. This field is the code or free text comments on special requirements for the transport of the patient to the diagnostic service department.
      Returns:
        ISingleCollection - plannedPatientTransportComment

    - #### getPrincipalResultInterpreter

          public NDL getPrincipalResultInterpreter()

      Retrieves the Principal Result Interpreter. This field identify the physician or other clinician who interpreted the observation and is responsible for the report content.
      Returns:
        NDL - principalResultInterpreter

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Returns:
        CNE - procedureCode

    - #### getProcedureCodeModifier

          public ISingleCollection<CNE> getProcedureCodeModifier()

      Retrieves the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in OBR-44-procedure code, when applicable.
      Returns:
        ISingleCollection - procedureCodeModifier

    - #### getReasonforStudy

          public ISingleCollection<CWE> getReasonforStudy()

      Retrieves the Reason for Study. This field is the code or text using the conventions for coded fields.
      Returns:
        ISingleCollection - reasonforStudy

    - #### getRelevantClinicalInformation

          public ISingleCollection<CWE> getRelevantClinicalInformation()

      Retrieves the Relevant Clinical Information. this field contains the additional clinical information about the patient or specimen.
      Returns:
        ISingleCollection - relevantClinicalInformation

    - #### getResultCopiesTo

          public ISingleCollection<XCN> getResultCopiesTo()

      Retrieves the Result Copies To. This field identify the people who are to receive copies of the results.
      Returns:
        ISingleCollection - resultCopiesTo

    - #### getResultHandling

          public CWE getResultHandling()

      Retrieves the Result Handling. This field transmits information regarding the handling of the result.
      Returns:
        CWE - resultHandling

    - #### getResultsRptStatusChng_DateTime

          public DTM getResultsRptStatusChng_DateTime()

      Retrieves the Results Rpt Status Chng Date Time. This field specify the date/time when the results were reported or status changed.
      Returns:
        DTM - resultsRptStatusChng_DateTime

    - #### getResultStatus

          public ID getResultStatus()

      Retrieves the Result Status. This field contains the status of results for this order.
      Returns:
        ID - resultStatus

    - #### getScheduledDateTime

          public DTM getScheduledDateTime()

      Retrieves the Scheduled Date Time. This field is the date/time the filler scheduled an observation.
      Returns:
        DTM - scheduledDateTime

    - #### getSetID_OBR

          public SI getSetID_OBR()

      Retrieves the Set ID OBR.
      Returns:
        SI - setID_OBR

    - #### getSpecimenActionCode

          public ID getSpecimenActionCode()

      Retrieves the Specimen Action Code. This field identify the action to be taken with respect to the specimens that accompany or precede this order.
      Returns:
        ID - specimenActionCode

    - #### getTechnician

          public ISingleCollection<NDL> getTechnician()

      Retrieves the Technician. This field identify the performing technician.
      Returns:
        ISingleCollection - technician

    - #### getTranscriptionist

          public ISingleCollection<NDL> getTranscriptionist()

      Retrieves the Transcriptionist. This field identify the report transcriber.
      Returns:
        ISingleCollection - transcriptionist

    - #### getTransportArranged

          public ID getTransportArranged()

      Retrieves the Transport Arranged. This field is an indicator of whether transport arrangements are known to have been made or not.
      Returns:
        ID - transportArranged

    - #### getTransportArrangementResponsibility

          public CWE getTransportArrangementResponsibility()

      Retrieves the Transport Arrangement Responsibility. This field is an indicator of who is responsible for arranging transport to the planned diagnostic service.
      Returns:
        CWE - transportArrangementResponsibility

    - #### getTransportationMode

          public ID getTransportationMode()

      Retrieves the Transportation Mode. This field identify how (or whether) to transport a patient, when applicable.
      Returns:
        ID - transportationMode

    - #### getTransportLogisticsofCollectedSample

          public ISingleCollection<CWE> getTransportLogisticsofCollectedSample()

      Retrieves the Transport Logistics of Collected Sample. This field is the means by which a sample reaches the diagnostic service provider.
      Returns:
        ISingleCollection - transportLogisticsofCollectedSample

    - #### getUniversalServiceIdentifier

          public CWE getUniversalServiceIdentifier()

      Retrieves the Universal Service Identifier. This field contains the identifier code for the requested observation/test/battery.
      Returns:
        CWE - universalServiceIdentifier

    - #### getParentUniversalServiceIdentifier

          public CWE getParentUniversalServiceIdentifier()

      Retrieves the Parent UniversalService Identifier. This field contains the identifier code for the parent order, as identified in ORC-8 Parent and/or OBR-29 Parent (if present), which caused this observation/test/battery to be performed.
      Returns:
        CWE - parentUniversalServiceIdentifier

    - #### getObservationGroupID

          public EI getObservationGroupID()

      Retrieves the Observation Group ID. This field is the identifier assigned by the producer of a result to uniquely identify the results associated with this OBR segment.
      Returns:
        EI - ObservationGroupID in object form.

    - #### getParentObservationGroupID

          public EI getParentObservationGroupID()

      Retrieves the Parent Observation Group ID. The Parent Observation Group ID field relates this child OBR to its parent OBR segment using the Observation Group ID of the parent result.
      Returns:
        EI - ParentObservationGroupID in object form.

    - #### getParentOrder

          public EIP getParentOrder()

      Retrieves the Parent Order. This field relates a child order to its parent order when a parent child order relationship exists.
      Returns:
        EIP - parentOrder

    - #### getAlternatePlacerOrderNumber

          public ISingleCollection<CX> getAlternatePlacerOrderNumber()

      Retrieves the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Returns:
        CX - alternatePlacerOrderNumber

    - #### addAssistantResultInterpreter

          public void addAssistantResultInterpreter(CNN objName,
                                           DTM objStartDateTime,
                                           DTM objEndDateTime,
                                           java.lang.String strPointOfCare,
                                           java.lang.String strRoom,
                                           java.lang.String strBed,
                                           HD objFacility,
                                           java.lang.String strLocationStatus,
                                           java.lang.String strPatientLocationType,
                                           java.lang.String strBuilding,
                                           java.lang.String strFloor)

      Add the Assistant Result Interpreter. This field identify the clinical observer who assisted with the interpretation of this study.
      Parameters:
        `objName` - Specifies the name of the person performing a service.
        `objStartDateTime` - Specifies the starting date and time for when the person is performing the service.
        `objEndDateTime` - Specifies the ending date and time for when the person is performing the service.
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies most general location designation.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPatientLocationType` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies the code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.

    - #### addAssistantResultInterpreter

          public void addAssistantResultInterpreter(NDL objassistantResultInterpreter)

      Add the Assistant Result Interpreter. This field identify the clinical observer who assisted with the interpretation of this study.
      Parameters:
        `objassistantResultInterpreter` - Object of Assistant Result Interpreter.

    - #### setAssistantResultInterpreter

          public void setAssistantResultInterpreter(ISingleCollection<NDL> objassistantResultInterpreterList)

      Set the Assistant Result Interpreter. This field identify the clinical observer who assisted with the interpretation of this study.
      Parameters:
        `objassistantResultInterpreterList` - List of Assistant Result Interpreter.

    - #### setChargetoPractice

          public void setChargetoPractice(MO objMonetaryAmount,
                                 CWE objChargeCode)

      Set the Charge to Practice. This field charge to the ordering entity for the studies performed when applicable.
      Parameters:
        `objMonetaryAmount` - Specifies the amount and denomination of money associated with the charge code.
        `objChargeCode` - Specifies code identifying the charge to the ordering entity for the services performed.

    - #### setChargetoPractice

          public void setChargetoPractice(MOC objchargetoPractice)

      Set the Charge to Practice. This field charge to the ordering entity for the studies performed when applicable.
      Parameters:
        `objchargetoPractice` - Object of Charge to Practice.

    - #### setCollectionVolume

          public void setCollectionVolume(java.lang.String strQuantity,
                                 CWE objUnits)

      Set the Collection Volume.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setCollectionVolume

          public void setCollectionVolume(CQ collectionVolume)

      Set the Collection Volume.
      Parameters:
        `collectionVolume` - Object of Collection Volume.

    - #### addCollectorComment

          public void addCollectorComment(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Add the Collector Comment. This field is for reporting additional comments related to the sample.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCollectorComment

          public void addCollectorComment(CWE objcollectorComment)

      Add the Collector Comment. This field is for reporting additional comments related to the sample.
      Parameters:
        `objcollectorComment` - Object of Collector Comment.

    - #### setCollectorComment

          public void setCollectorComment(ISingleCollection<CWE> objcollectorCommentList)

      Set the Collector Comment. This field is for reporting additional comments related to the sample.
      Parameters:
        `objcollectorCommentList` - List of Collector Comment.

    - #### addCollectorIdentifier

          public void addCollectorIdentifier(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Add the Collector Identifier. This field identify the person, department, or facility that collected the specimen.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addCollectorIdentifier

          public void addCollectorIdentifier(XCN objcollectorIdentifier)

      Add the Collector Identifier. This field identify the person, department, or facility that collected the specimen.
      Parameters:
        `objcollectorIdentifier` - Object of Collector Identifier.

    - #### setCollectorIdentifier

          public void setCollectorIdentifier(ISingleCollection<XCN> objcollectorIdentifierList)

      Set the Collector Identifier. This field identify the person, department, or facility that collected the specimen.
      Parameters:
        `objcollectorIdentifierList` - List of Collector Identifier.

    - #### setDangerCode

          public void setDangerCode(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Danger Code. This field contains the code and/or text indicating any known or suspected patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDangerCode

          public void setDangerCode(CWE objdangerCode)

      Set the Danger Code. This field contains the code and/or text indicating any known or suspected patient.
      Parameters:
        `objdangerCode` - Object of Danger Code.

    - #### setDiagnosticServSectID

          public void setDiagnosticServSectID(java.lang.String strDiagnosticServSectID)

      Set the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation is performed.
      Parameters:
        `strDiagnosticServSectID` - Specifies Diagnostic ServSect ID.

    - #### setDiagnosticServSectID

          public void setDiagnosticServSectID(ID objdiagnosticServSectID)

      Set the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation is performed.
      Parameters:
        `objdiagnosticServSectID` - Object of Diagnostic Serv Sect ID.

    - #### setEscortRequired

          public void setEscortRequired(java.lang.String strEscortRequired)

      Set the Escort Required. This field is an indicator that the patient needs to be escorted to the diagnostic service department.
      Parameters:
        `strEscortRequired` - Specifies Escort Required.

    - #### setEscortRequired

          public void setEscortRequired(ID escortRequired)

      Set the Escort Required. This field is an indicator that the patient needs to be escorted to the diagnostic service department.
      Parameters:
        `escortRequired` - Object of Escort Required.

    - #### setFillerField1

          public void setFillerField1(java.lang.String strFillerField1)

      Set the Filler Field1.
      Parameters:
        `strFillerField1` - Specifies Filler Field1.

    - #### setFillerField1

          public void setFillerField1(ST objfillerField1)

      Set the Filler Field1.
      Parameters:
        `objfillerField1` - Object of Filler Field1.

    - #### setFillerField2

          public void setFillerField2(java.lang.String strFillerField2)

      Set the Filler Field2.
      Parameters:
        `strFillerField2` - Specifies Filler Field2.

    - #### setFillerField2

          public void setFillerField2(ST objfillerField2)

      Set the Filler Field2.
      Parameters:
        `objfillerField2` - Object of Filler Field2.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Filler Order Number. This field specify the order number associated with the filling application.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(EI objfillerOrderNumber)

      Set the Filler Order Number. This field specify the order number associated with the filling application.
      Parameters:
        `objfillerOrderNumber` - Object of Filler Order Number.

    - #### addFillerSupplementalServiceInformation

          public void addFillerSupplementalServiceInformation(java.lang.String strIdentifier,
                                                     java.lang.String strText,
                                                     java.lang.String strNameOfCodingSystem,
                                                     java.lang.String strAlternateIdentifier,
                                                     java.lang.String strAlternateText,
                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                     java.lang.String strCodingSystemVersionID,
                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                     java.lang.String strOriginalText,
                                                     java.lang.String strSecondAlternateIdentifier,
                                                     java.lang.String strSecondAlternateText,
                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                     java.lang.String strCodingSystemOID,
                                                     java.lang.String strValueSetOID,
                                                     java.lang.String strValueSetVersionID,
                                                     java.lang.String strAlternateCodingSystemOID,
                                                     java.lang.String strAlternateValueSetOID,
                                                     java.lang.String strAlternateValueSetVersionID,
                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                     java.lang.String strSecondAlternateValueSetOID,
                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Filler Supplemental Service Information. This field contains supplemental service information sent from the filler system to the placer system for the procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addFillerSupplementalServiceInformation

          public void addFillerSupplementalServiceInformation(CWE objfillerSupplementalServiceInformation)

      Add the Filler Supplemental Service Information. This field contains supplemental service information sent from the filler system to the placer system for the procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `objfillerSupplementalServiceInformation` - Object of Filler Supplemental Service Information.

    - #### setFillerSupplementalServiceInformation

          public void setFillerSupplementalServiceInformation(ISingleCollection<CWE> objfillerSupplementalServiceInformationList)

      Set the Filler Supplemental Service Information. This field contains supplemental service information sent from the filler system to the placer system for the procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `objfillerSupplementalServiceInformationList` - List of Filler Supplemental Service Information.

    - #### setMedicallyNecessaryDuplicateProcedureReason

          public void setMedicallyNecessaryDuplicateProcedureReason(java.lang.String strIdentifier,
                                                           java.lang.String strText,
                                                           java.lang.String strNameOfCodingSystem,
                                                           java.lang.String strAlternateIdentifier,
                                                           java.lang.String strAlternateText,
                                                           java.lang.String strNameOfAlternateCodingSystem,
                                                           java.lang.String strCodingSystemVersionID,
                                                           java.lang.String strAlternateCodingSystemVersionId,
                                                           java.lang.String strOriginalText,
                                                           java.lang.String strSecondAlternateIdentifier,
                                                           java.lang.String strSecondAlternateText,
                                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                                           java.lang.String strCodingSystemOID,
                                                           java.lang.String strValueSetOID,
                                                           java.lang.String strValueSetVersionID,
                                                           java.lang.String strAlternateCodingSystemOID,
                                                           java.lang.String strAlternateValueSetOID,
                                                           java.lang.String strAlternateValueSetVersionID,
                                                           java.lang.String strSecondAlternateCodingSystemOID,
                                                           java.lang.String strSecondAlternateValueSetOID,
                                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Medically Necessary Duplicate Procedure Reason. This field intended to provide financial systems information on who to bill for duplicate procedures.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMedicallyNecessaryDuplicateProcedureReason

          public void setMedicallyNecessaryDuplicateProcedureReason(CWE medicallyNecessaryDuplicateProcedureReason)

      Set the Medically Necessary Duplicate Procedure Reason. This field intended to provide financial systems information on who to bill for duplicate procedures.
      Parameters:
        `medicallyNecessaryDuplicateProcedureReason` - Object of Medically Necessary Duplicate Procedure Reason.

    - #### setNumberofSampleContainers

          public void setNumberofSampleContainers(java.lang.String strNumberofSampleContainers)

      Set the Number of Sample Containers. This field identify the number of containers for a given sample.
      Parameters:
        `strNumberofSampleContainers` - Specifies Number of Sample Containers.

    - #### setNumberofSampleContainers

          public void setNumberofSampleContainers(NM numberofSampleContainers)

      Set the Number of Sample Containers. This field identify the number of containers for a given sample.
      Parameters:
        `numberofSampleContainers` - Object of Number of Sample Containers.

    - #### setObservationDateTime

          public void setObservationDateTime(java.lang.String strTime)

      Set the Observation Date Time. This field is the clinically relevant date/time of the observation.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setObservationDateTime

          public void setObservationDateTime(DTM observationDateTime)

      Set the Observation Date Time. This field is the clinically relevant date/time of the observation.
      Parameters:
        `observationDateTime` - Object of Observation Date Time.

    - #### setObservationEndDateTime

          public void setObservationEndDateTime(java.lang.String strTime)

      Set the Observation End Date Time. This field contains the end date and time of a study or timed specimen collection.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setObservationEndDateTime

          public void setObservationEndDateTime(DTM objobservationEndDateTime)

      Set the Observation End Date Time. This field contains the end date and time of a study or timed specimen collection.
      Parameters:
        `objobservationEndDateTime` - Object of Observation End Date Time.

    - #### addOrderCallbackPhoneNumber

          public void addOrderCallbackPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Add the Order Callback Phone Number. This field contains the telephone number for reporting a status or a result using the standard format with extension and/or beeper number when applicable.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addOrderCallbackPhoneNumber

          public void addOrderCallbackPhoneNumber(XTN orderCallbackPhoneNumber)

      Add the Order Callback Phone Number. This field contains the telephone number for reporting a status or a result using the standard format with extension and/or beeper number when applicable.
      Parameters:
        `orderCallbackPhoneNumber` - Object of Order Callback Phone Number.

    - #### setOrderCallbackPhoneNumber

          public void setOrderCallbackPhoneNumber(ISingleCollection<XTN> orderCallbackPhoneNumberList)

      Set the Order Callback Phone Number. This field contains the telephone number for reporting a status or a result using the standard format with extension and/or beeper number when applicable.
      Parameters:
        `orderCallbackPhoneNumberList` - List of Order Callback Phone Number.

    - #### addOrderingProvider

          public void addOrderingProvider(java.lang.String strIDNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 CWE objSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepratment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Add the Ordering Provider. This field identify the provider who ordered the test.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOrderingProvider

          public void addOrderingProvider(XCN objorderingProvider)

      Add the Ordering Provider. This field identify the provider who ordered the test.
      Parameters:
        `objorderingProvider` - Object of Ordering Provider.

    - #### setOrderingProvider

          public void setOrderingProvider(ISingleCollection<XCN> objorderingProviderList)

      Set the Ordering Provider. This field identify the provider who ordered the test.
      Parameters:
        `objorderingProviderList` - List of Ordering Provider.

    - #### setParent

          public void setParent(EI objPlacerAssignedIdentifier,
                       EI objFillerAssignedIdentifier)

      Set the Parent. This field identical to ORC-8-parent. This field relates a child to its parent when a parent child relationship exists.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### setParent

          public void setParent(EIP parent)

      Set the Parent. This field identical to ORC-8-parent. This field relates a child to its parent when a parent child relationship exists.
      Parameters:
        `parent` - Object of Parent.

    - #### setParentResult

          public void setParentResult(CWE objParentObservationIdentifier,
                             OG objParentObservationSubidentifier,
                             TX objParentObservationValueDescriptor)

      Set the Parent Result. This field is defined to make it available for other types of linkages (e.g., toxicology).
      Parameters:
        `objParentObservationIdentifier` - Contains the unique identifier of the parent observation as defined in the OBX-3 of the parent result.
        `objParentObservationSubidentifier` - Contains the sub-ID of the parent result as defined in the OBX-4 of the parent result.
        `objParentObservationValueDescriptor` - Contains a descriptor of the parent observation value as specified in the OBX-5 of the parent result.

    - #### setParentResult

          public void setParentResult(PRL objparentResult)

      Set the Parent Result. This field is defined to make it available for other types of linkages (e.g., toxicology).
      Parameters:
        `objparentResult` - Object of Parent Result.

    - #### setPlacerField1

          public void setPlacerField1(java.lang.String strPlacerField1)

      Set the Placer Field1.
      Parameters:
        `strPlacerField1` - Specifies Placer Field1.

    - #### setPlacerField1

          public void setPlacerField1(ST objplacerField1)

      Set the Placer Field1.
      Parameters:
        `objplacerField1` - Object of Placer Field1.

    - #### setPlacerField2

          public void setPlacerField2(java.lang.String strPlacerField2)

      Set the Placer Field2.
      Parameters:
        `strPlacerField2` - Specifies Placer Field1.

    - #### setPlacerField2

          public void setPlacerField2(ST objplacerField2)

      Set the Placer Field2.
      Parameters:
        `objplacerField2` - Object of Placer Field2.

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Placer Order Number. This field specify a special case of the Entity Identifier data type.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(EI objplacerOrderNumber)

      Set the Placer Order Number. This field specify a special case of the Entity Identifier data type.
      Parameters:
        `objplacerOrderNumber` - Object of Placer Order Number.

    - #### addPlacerSupplementalServiceInformation

          public void addPlacerSupplementalServiceInformation(java.lang.String strIdentifier,
                                                     java.lang.String strText,
                                                     java.lang.String strNameOfCodingSystem,
                                                     java.lang.String strAlternateIdentifier,
                                                     java.lang.String strAlternateText,
                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                     java.lang.String strCodingSystemVersionID,
                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                     java.lang.String strOriginalText,
                                                     java.lang.String strSecondAlternateIdentifier,
                                                     java.lang.String strSecondAlternateText,
                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                     java.lang.String strCodingSystemOID,
                                                     java.lang.String strValueSetOID,
                                                     java.lang.String strValueSetVersionID,
                                                     java.lang.String strAlternateCodingSystemOID,
                                                     java.lang.String strAlternateValueSetOID,
                                                     java.lang.String strAlternateValueSetVersionID,
                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                     java.lang.String strSecondAlternateValueSetOID,
                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Placer Supplemental Service Information. This field contains supplemental service information sent from the placer system to the filler system for the universal procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPlacerSupplementalServiceInformation

          public void addPlacerSupplementalServiceInformation(CWE objplacerOrderNumber)

      Add the Placer Supplemental Service Information. This field contains supplemental service information sent from the placer system to the filler system for the universal procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `objplacerOrderNumber` - Object of Placer Supplemental Service Information.

    - #### setPlacerSupplementalServiceInformation

          public void setPlacerSupplementalServiceInformation(ISingleCollection<CWE> objplacerOrderNumberList)

      set the Placer Supplemental Service Information. This field contains supplemental service information sent from the placer system to the filler system for the universal procedure code reported in OBR-4 Universal Service ID.
      Parameters:
        `objplacerOrderNumberList` - List of Placer Supplemental Service Information.

    - #### addPlannedPatientTransportComment

          public void addPlannedPatientTransportComment(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Planned Patient Transport Comment. This field is the code or free text comments on special requirements for the transport of the patient to the diagnostic service department.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPlannedPatientTransportComment

          public void addPlannedPatientTransportComment(CWE objplannedPatientTransportComment)

      Add the Planned Patient Transport Comment. This field is the code or free text comments on special requirements for the transport of the patient to the diagnostic service department.
      Parameters:
        `objplannedPatientTransportComment` - Object of Planned Patient Transport Comment.

    - #### setPlannedPatientTransportComment

          public void setPlannedPatientTransportComment(ISingleCollection<CWE> objplannedPatientTransportCommentList)

      Set the Planned Patient Transport Comment. This field is the code or free text comments on special requirements for the transport of the patient to the diagnostic service department.
      Parameters:
        `objplannedPatientTransportCommentList` - List of Planned Patient Transport Comment.

    - #### setPrincipalResultInterpreter

          public void setPrincipalResultInterpreter(CNN objName,
                                           DTM objStartDateTime,
                                           DTM objEndDateTime,
                                           java.lang.String strPointOfCare,
                                           java.lang.String strRoom,
                                           java.lang.String strBed,
                                           HD objFacility,
                                           java.lang.String strLocationStatus,
                                           java.lang.String strPatientLocationType,
                                           java.lang.String strBuilding,
                                           java.lang.String strFloor)

      Set the Principal Result Interpreter. This field identify the physician or other clinician who interpreted the observation and is responsible for the report content.
      Parameters:
        `objName` - Specifies the name of the person performing a service.
        `objStartDateTime` - Specifies the starting date and time for when the person is performing the service.
        `objEndDateTime` - Specifies the ending date and time for when the person is performing the service.
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies most general location designation.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPatientLocationType` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies the code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.

    - #### setPrincipalResultInterpreter

          public void setPrincipalResultInterpreter(NDL objprincipalResultInterpreter)

      Set the Principal Result Interpreter. This field identify the physician or other clinician who interpreted the observation and is responsible for the report content.
      Parameters:
        `objprincipalResultInterpreter` - Object of Principal Result Interpreter.

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE objprocedureCode)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Parameters:
        `objprocedureCode` - Object of Procedure Code.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in OBR-44-procedure code, when applicable.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(CNE objprocedureCodeModifier)

      Add the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in OBR-44-procedure code, when applicable.
      Parameters:
        `objprocedureCodeModifier` - Object of Procedure Code Modifier.

    - #### setProcedureCodeModifier

          public void setProcedureCodeModifier(ISingleCollection<CNE> objprocedureCodeModifierList)

      Set the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in OBR-44-procedure code, when applicable.
      Parameters:
        `objprocedureCodeModifierList` - List of Procedure Code Modifier.

    - #### addReasonforStudy

          public void addReasonforStudy(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Reason for Study. This field is the code or text using the conventions for coded fields.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addReasonforStudy

          public void addReasonforStudy(CWE objreasonforStudy)

      Add the Reason for Study. This field is the code or text using the conventions for coded fields.
      Parameters:
        `objreasonforStudy` - Object of Reason for Study.

    - #### setReasonforStudy

          public void setReasonforStudy(ISingleCollection<CWE> objreasonforStudyList)

      set the Reason for Study. This field is the code or text using the conventions for coded fields.
      Parameters:
        `objreasonforStudyList` - List of Reason for Study.

    - #### setRelevantClinicalInformation

          public void setRelevantClinicalInformation(ISingleCollection<CWE> objrelevantClinicalInformationList)

      set the Relevant Clinical Information. This field contains the additional clinical information about the patient or specimen.
      Parameters:
        `objreasonforStudyList` - List of Reason for Study.

    - #### addRelevantClinicalInformation

          public void addRelevantClinicalInformation(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Add the Relevant Clinical Information. This field contains the additional clinical information about the patient or specimen.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRelevantClinicalInformation

          public void addRelevantClinicalInformation(CWE objrelevantClinicalInformation)

      Add the Relevant Clinical Information. This field contains additional clinical information about the patient or specimen.
      Parameters:
        `objrelevantClinicalInformation` - Object .

    - #### addResultCopiesTo

          public void addResultCopiesTo(java.lang.String strIDNumber,
                               FN objFamilyName,
                               java.lang.String strGivenName,
                               java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                               java.lang.String strSuffix,
                               java.lang.String strPrefix,
                               CWE objSourceTable,
                               HD objAssigningAuthority,
                               java.lang.String strNameTypeCode,
                               java.lang.String strIdentifierCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strNameRepresentationCode,
                               CWE objNameContext,
                               java.lang.String strNameAssemblyOrder,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               java.lang.String strProfessionalSuffix,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepratment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Add the Result Copies To. This field identify the people who are to receive copies of the results.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addResultCopiesTo

          public void addResultCopiesTo(XCN objresultCopiesTo)

      Add the Result Copies To. This field identify the people who are to receive copies of the results.
      Parameters:
        `objresultCopiesTo` - Object of Result Copies To.

    - #### setResultCopiesTo

          public void setResultCopiesTo(ISingleCollection<XCN> objresultCopiesToList)

      Set the Result Copies To. This field identify the people who are to receive copies of the results.
      Parameters:
        `objresultCopiesToList` - List of Result Copies To.

    - #### setResultHandling

          public void setResultHandling(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Result Handling. This field transmits information regarding the handling of the result.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setResultHandling

          public void setResultHandling(CWE objresultHandling)

      Set the Result Handling. This field transmits information regarding the handling of the result.
      Parameters:
        `objresultHandling` - Object of Result Handling.

    - #### setResultsRptStatusChng_DateTime

          public void setResultsRptStatusChng_DateTime(java.lang.String strTime)

      Set the Results Rpt Status Chng Date Time. This field specify the date/time when the results were reported or status changed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setResultsRptStatusChng_DateTime

          public void setResultsRptStatusChng_DateTime(DTM objresultsRptStatusChng_DateTime)

      Set the Results Rpt Status Chng Date Time. This field specify the date/time when the results were reported or status changed.
      Parameters:
        `objresultsRptStatusChng_DateTime` - Object of Results Rpt Status Chng Date Time.

    - #### setResultStatus

          public void setResultStatus(java.lang.String strResultStatus)

      Set the Result Status. This field contains the status of results for this order.
      Parameters:
        `strResultStatus` - Specifies Result Status.

    - #### setResultStatus

          public void setResultStatus(ID objresultStatus)

      Set the Result Status. This field contains the status of results for this order.
      Parameters:
        `objresultStatus` - Object of Result Status.

    - #### setScheduledDateTime

          public void setScheduledDateTime(java.lang.String strTime)

      Set the Scheduled Date Time. This field is the date/time the filler scheduled an observation.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setScheduledDateTime

          public void setScheduledDateTime(DTM objscheduledDateTime)

      Set the Scheduled Date Time. This field is the date/time the filler scheduled an observation.
      Parameters:
        `objscheduledDateTime` - Object of Scheduled Date Time.

    - #### setSetID_OBR

          public void setSetID_OBR(java.lang.String strSetID_OBR)

      Set the Set ID OBR.
      Parameters:
        `strSetID_OBR` - Specifies setID_OBR.

    - #### setSetID_OBR

          public void setSetID_OBR(SI objsetID_OBR)

      Set the Set ID OBR.
      Parameters:
        `objsetID_OBR` - Object of Set ID OBR.

    - #### setSpecimenActionCode

          public void setSpecimenActionCode(java.lang.String strSpecimenActionCode)

      Set the Specimen Action Code. This field identify the action to be taken with respect to the specimens that accompany or precede this order.
      Parameters:
        `strSpecimenActionCode` - Specifies Specimen Action Code.

    - #### setSpecimenActionCode

          public void setSpecimenActionCode(ID objspecimenActionCode)

      Set the Specimen Action Code. This field identify the action to be taken with respect to the specimens that accompany or precede this order.
      Parameters:
        `objspecimenActionCode` - Object of Specimen Action Code.

    - #### addTechnician

          public void addTechnician(CNN objName,
                           DTM objStartDateTime,
                           DTM objEndDateTime,
                           java.lang.String strPointOfCare,
                           java.lang.String strRoom,
                           java.lang.String strBed,
                           HD objFacility,
                           java.lang.String strLocationStatus,
                           java.lang.String strPatientLocationType,
                           java.lang.String strBuilding,
                           java.lang.String strFloor)

      Add the Technician. This field identify the performing technician.
      Parameters:
        `objName` - Specifies the name of the person performing a service.
        `objStartDateTime` - Specifies the starting date and time for when the person is performing the service.
        `objEndDateTime` - Specifies the ending date and time for when the person is performing the service.
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies most general location designation.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPatientLocationType` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies the code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.

    - #### addTechnician

          public void addTechnician(NDL objtechnician)

      Add the Technician. This field identify the performing technician.
      Parameters:
        `objtechnician` - Object of Technician.

    - #### setTechnician

          public void setTechnician(ISingleCollection<NDL> objtechnicianList)

      set the Technician. This field identify the performing technician.
      Parameters:
        `objtechnicianList` - List of Technician.

    - #### addTranscriptionist

          public void addTranscriptionist(CNN objName,
                                 DTM objStartDateTime,
                                 DTM objEndDateTime,
                                 java.lang.String strPointOfCare,
                                 java.lang.String strRoom,
                                 java.lang.String strBed,
                                 HD objFacility,
                                 java.lang.String strLocationStatus,
                                 java.lang.String strPatientLocationType,
                                 java.lang.String strBuilding,
                                 java.lang.String strFloor)

      Add the Transcriptionist. This field identify the report transcriber.
      Parameters:
        `objName` - Specifies the name of the person performing a service.
        `objStartDateTime` - Specifies the starting date and time for when the person is performing the service.
        `objEndDateTime` - Specifies the ending date and time for when the person is performing the service.
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies most general location designation.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPatientLocationType` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies the code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.

    - #### addTranscriptionist

          public void addTranscriptionist(NDL objtranscriptionist)

      Add the Transcriptionist. This field identify the report transcriber.
      Parameters:
        `objtranscriptionist` - Object of Transcriptionist

    - #### setTranscriptionist

          public void setTranscriptionist(ISingleCollection<NDL> objtranscriptionistList)

      Set the Transcriptionist. This field identify the report transcriber.
      Parameters:
        `objtranscriptionistList` - List of Transcriptionist

    - #### setTransportArranged

          public void setTransportArranged(java.lang.String strTransportArranged)

      Set the Transport Arranged. This field is an indicator of whether transport arrangements are known to have been made or not.
      Parameters:
        `strTransportArranged` - Specifies Transport Arranged.

    - #### setTransportArranged

          public void setTransportArranged(ID objtransportArranged)

      Set the Transport Arranged. This field is an indicator of whether transport arrangements are known to have been made or not.
      Parameters:
        `objtransportArranged` - Object of Transport Arranged.

    - #### setTransportArrangementResponsibility

          public void setTransportArrangementResponsibility(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transport Arrangement Responsibility. This field is an indicator of who is responsible for arranging transport to the planned diagnostic service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransportArrangementResponsibility

          public void setTransportArrangementResponsibility(CWE objtransportArrangementResponsibility)

      Set the Transport Arrangement Responsibility. This field is an indicator of who is responsible for arranging transport to the planned diagnostic service.
      Parameters:
        `objtransportArrangementResponsibility` - Object of Transport Arrangement Responsibility.

    - #### setTransportationMode

          public void setTransportationMode(java.lang.String strTransportationMode)

      Set the Transportation Mode. This field identify how (or whether) to transport a patient, when applicable.
      Parameters:
        `strTransportationMode` - Specifies Transportation Mode.

    - #### setTransportationMode

          public void setTransportationMode(ID objtransportationMode)

      Set the Transportation Mode. This field identify how (or whether) to transport a patient, when applicable.
      Parameters:
        `objtransportationMode` - Object of Transportation Mode.

    - #### addTransportLogisticsofCollectedSample

          public void addTransportLogisticsofCollectedSample(java.lang.String strIdentifier,
                                                    java.lang.String strText,
                                                    java.lang.String strNameOfCodingSystem,
                                                    java.lang.String strAlternateIdentifier,
                                                    java.lang.String strAlternateText,
                                                    java.lang.String strNameOfAlternateCodingSystem,
                                                    java.lang.String strCodingSystemVersionID,
                                                    java.lang.String strAlternateCodingSystemVersionId,
                                                    java.lang.String strOriginalText,
                                                    java.lang.String strSecondAlternateIdentifier,
                                                    java.lang.String strSecondAlternateText,
                                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                                    java.lang.String strCodingSystemOID,
                                                    java.lang.String strValueSetOID,
                                                    java.lang.String strValueSetVersionID,
                                                    java.lang.String strAlternateCodingSystemOID,
                                                    java.lang.String strAlternateValueSetOID,
                                                    java.lang.String strAlternateValueSetVersionID,
                                                    java.lang.String strSecondAlternateCodingSystemOID,
                                                    java.lang.String strSecondAlternateValueSetOID,
                                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Transport Logistics of Collected Sample. This field is the means by which a sample reaches the diagnostic service provider.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addTransportLogisticsofCollectedSample

          public void addTransportLogisticsofCollectedSample(CWE objtransportLogisticsofCollectedSample)

      Add the Transport Logistics of Collected Sample. This field is the means by which a sample reaches the diagnostic service provider.
      Parameters:
        `objtransportLogisticsofCollectedSample` - Object of Transport Logistics of Collected Sample.

    - #### setTransportLogisticsofCollectedSample

          public void setTransportLogisticsofCollectedSample(ISingleCollection<CWE> objtransportLogisticsofCollectedSampleList)

      Set the Transport Logistics of Collected Sample. This field is the means by which a sample reaches the diagnostic service provider.
      Parameters:
        `objtransportLogisticsofCollectedSampleList` - List of Transport Logistics of Collected Sample.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Universal Service Identifier. This field contains the identifier code for the requested observation/test/battery.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)

      Set the Universal Service Identifier. This field contains the identifier code for the requested observation/test/battery.
      Parameters:
        `objuniversalServiceIdentifier` - Object of Universal Service Identifier.

    - #### setParentUniversalServiceIdentifier

          public void setParentUniversalServiceIdentifier(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Parent Universal Service Identifier. This field contains the identifier code for the parent order, as identified in ORC-8 Parent and/or OBR-29 Parent (if present), which caused this observation/test/battery to be performed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParentUniversalServiceIdentifier

          public void setParentUniversalServiceIdentifier(CWE objparentUniversalServiceIdentifier)

      Set the Parent Universal Service Identifier. This field contains the identifier code for the parent order, as identified in ORC-8 Parent and/or OBR-29 Parent (if present), which caused this observation/test/battery to be performed.
      Parameters:
        `objparentUniversalServiceIdentifier` - Object of Parent Universal Service Identifier.

    - #### setObservationGroupID

          public void setObservationGroupID(java.lang.String strEntityIdentifier,
                                   java.lang.String strNamespaceId,
                                   java.lang.String strUniversalId,
                                   java.lang.String strUniversalIdType)

      Set the Observation Group ID. This field specifies the identifier assigned by the producer of a result to uniquely identify the results associated with this OBR segment.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setObservationGroupID

          public void setObservationGroupID(EI objobservationGroupID)

      Set the Observation Group ID. This field specifies the identifier assigned by the producer of a result to uniquely identify the results associated with this OBR segment.
      Parameters:
        `objobservationGroupID` - Object of Placer Order Number.

    - #### setParentObservationGroupID

          public void setParentObservationGroupID(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceId,
                                         java.lang.String strUniversalId,
                                         java.lang.String strUniversalIdType)

      Set the Parent Observation Group ID. The Parent Observation Group ID field relates this child OBR to its parent OBR segment using the Observation Group ID of the parent result.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParentObservationGroupID

          public void setParentObservationGroupID(EI objparentObservationGroupID)

      Set the Parent Observation Group ID. The Parent Observation Group ID field relates this child OBR to its parent OBR segment using the Observation Group ID of the parent result.
      Parameters:
        `objparentObservationGroupID` - Object of Placer Order Number.

    - #### setParentOrder

          public void setParentOrder(EI objPlacerAssignedIdentifier,
                            EI objFillerAssignedIdentifier)

      Set the Parent Order. This field relates a child order to its parent order when a parent child order relationship exists.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### setParentOrder

          public void setParentOrder(EIP parentOrder)

      Set the Parent Order. This field relates a child order to its parent order when a parent child order relationship exists.
      Parameters:
        `parentOrder` - Object of Parent Order.

    - #### addAlternatePlacerOrderNumber

          public void addAlternatePlacerOrderNumber(java.lang.String strIDNumber,
                                           java.lang.String strCheckDigit,
                                           java.lang.String strCheckDigitScheme,
                                           HD objAssigningAuthority,
                                           java.lang.String strIdentifierTypeCode,
                                           HD objAssigningFacility,
                                           java.lang.String strEffectiveDate,
                                           java.lang.String strExpirationDate,
                                           CWE objAssigningJurisdiction,
                                           CWE objAssigningAgencyOrDepartment)

      Add the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.

    - #### addAlternatePlacerOrderNumber

          public void addAlternatePlacerOrderNumber(CX objalternatePlacerOrderNumber)

      Add the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Parameters:
        `objalternatePlacerOrderNumber` - Object of Alternate Placer Order Number.

    - #### setAlternatePlacerOrderNumber

          public void setAlternatePlacerOrderNumber(ISingleCollection<CX> objalternatePlacerOrderNumberList)

      Set the Alternate Placer Order Number list.
      Parameters:
        `objalternatePlacerOrderNumberList` - List of InsuranceCompanyID

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails